package com.sundot.airport.web.controller.approval.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 查获上报DTO
 *
 * @author simon lin
 * @date 2025-09-06
 */
public class SeizureReportDTO {
    /**
     * 业务ID
     */
    @NotNull(message = "业务ID不能为空")
    private Long id;

    /**
     * 物品类型
     */
    @NotBlank(message = "物品类型不能为空")
    private String itemType;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 位置
     */
    private String location;

    /**
     * 查获时间
     */
    private Date seizureTime;

    /**
     * 旅客信息
     */
    private String passengerInfo;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getItemType() {
        return itemType;
    }

    public void setItemType(String itemType) {
        this.itemType = itemType;
    }

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public Date getSeizureTime() {
        return seizureTime;
    }

    public void setSeizureTime(Date seizureTime) {
        this.seizureTime = seizureTime;
    }

    public String getPassengerInfo() {
        return passengerInfo;
    }

    public void setPassengerInfo(String passengerInfo) {
        this.passengerInfo = passengerInfo;
    }
}